# services

**Namespace**  : alphayax\freebox\api\v3\services

# Overview

- [Storage](./Storage/Storage.md)
    - [Disk](Storage/Storage.md#Disk)
    - [Partition](Storage/Storage.md#Partition)
- [config](./config/config.md)
    - [LAN](./config/LAN/LAN.md)
        - [LAN](config/LAN/LAN.md#LAN)
        - [Browser](config/LAN/LAN.md#Browser)
    - [SwitchPort](./config/SwitchPort/SwitchPort.md)
        - [Status](config/SwitchPort/SwitchPort.md#Status)
        - [Stats](config/SwitchPort/SwitchPort.md#Stats)
        - [Config](config/SwitchPort/SwitchPort.md#Config)
    - [VPN](./config/VPN/VPN.md)
        - [Server](./config/VPN/Server/Server.md)
            - [User](config/VPN/Server/Server.md#User)
            - [IpPool](config/VPN/Server/Server.md#IpPool)
            - [Connection](config/VPN/Server/Server.md#Connection)
            - [Config](config/VPN/Server/Server.md#Config)
        - [Client](./config/VPN/Client/Client.md)
            - [Status](config/VPN/Client/Client.md#Status)
            - [Config](config/VPN/Client/Client.md#Config)
    - [UPnP](./config/UPnP/UPnP.md)
        - [IGD](config/UPnP/UPnP.md#IGD)
        - [AV](config/UPnP/UPnP.md#AV)
    - [NetworkShare](./config/NetworkShare/NetworkShare.md)
        - [Afp](config/NetworkShare/NetworkShare.md#Afp)
        - [Samba](config/NetworkShare/NetworkShare.md#Samba)
    - [WiFi](./config/WiFi/WiFi.md)
        - [Planning](config/WiFi/WiFi.md#Planning)
        - [MacFilter](config/WiFi/WiFi.md#MacFilter)
        - [Config](config/WiFi/WiFi.md#Config)
        - [Bss](config/WiFi/WiFi.md#Bss)
        - [AccessPoint](config/WiFi/WiFi.md#AccessPoint)
    - [Connection](./config/Connection/Connection.md)
        - [DynDns](./config/Connection/DynDns/DynDns.md)
            - [DynDns](config/Connection/DynDns/DynDns.md#DynDns)
            - [NoIP](config/Connection/DynDns/DynDns.md#NoIP)
            - [Ovh](config/Connection/DynDns/DynDns.md#Ovh)
        - [DynDns](config/Connection/Connection.md#DynDns)
        - [Ftth](config/Connection/Connection.md#Ftth)
        - [Connection](config/Connection/Connection.md#Connection)
        - [Xdsl](config/Connection/Connection.md#Xdsl)
    - [NAT](./config/NAT/NAT.md)
        - [PortForwarding](config/NAT/NAT.md#PortForwarding)
        - [DMZ](config/NAT/NAT.md#DMZ)
        - [IncomingPort](config/NAT/NAT.md#IncomingPort)
    - [FTP](config/config.md#FTP)
    - [System](config/config.md#System)
    - [LCD](config/config.md#LCD)
    - [DHCP](config/config.md#DHCP)
    - [Freeplug](config/config.md#Freeplug)
- [Call](./Call/Call.md)
    - [Contact](./Call/Contact/Contact.md)
        - [ContactNumber](Call/Contact/Contact.md#ContactNumber)
        - [ContactAddress](Call/Contact/Contact.md#ContactAddress)
        - [ContactUrl](Call/Contact/Contact.md#ContactUrl)
        - [ContactEmail](Call/Contact/Contact.md#ContactEmail)
        - [ContactEntry](Call/Contact/Contact.md#ContactEntry)
    - [CallEntry](Call/Call.md#CallEntry)
- [AirMedia](./AirMedia/AirMedia.md)
    - [AirMediaReceiver](AirMedia/AirMedia.md#AirMediaReceiver)
    - [Config](AirMedia/AirMedia.md#Config)
- [ParentalControl](./ParentalControl/ParentalControl.md)
    - [FilterPlanning](ParentalControl/ParentalControl.md#FilterPlanning)
    - [Filter](ParentalControl/ParentalControl.md#Filter)
- [RRD](./RRD/RRD.md)
    - [Fetch](RRD/RRD.md#Fetch)
- [login](./login/login.md)
    - [Session](login/login.md#Session)
    - [Authorize](login/login.md#Authorize)
- [FileSystem](./FileSystem/FileSystem.md)
    - [FileSystemListing](FileSystem/FileSystem.md#FileSystemListing)
    - [FileSharingLink](FileSystem/FileSystem.md#FileSharingLink)
    - [FileSystemTask](FileSystem/FileSystem.md#FileSystemTask)
    - [FileUpload](FileSystem/FileSystem.md#FileUpload)
    - [FileSystemOperation](FileSystem/FileSystem.md#FileSystemOperation)
- [download](./download/download.md)
    - [BlackList](download/download.md#BlackList)
    - [Tracker](download/download.md#Tracker)
    - [Feed](download/download.md#Feed)
    - [Configuration](download/download.md#Configuration)
    - [Peer](download/download.md#Peer)
    - [Download](download/download.md#Download)
- [ApiVersion](services.md#ApiVersion)


<a name="ApiVersion"></a>
## ApiVersion

**Class**  : alphayax\freebox\api\v3\services\ApiVersion

### Public methods

| Method | Description |
|---|---|
| `getApiVersion` | Return a mapping of information about the api | 
